Bug 990726 - switchyard cartridge post install script failed during upgrade
switchyard cartridge post install script failed during upgrade
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 16:59 EDT by Thomas Wiest
Modified: 2015-05-14 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:47:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Wiest 2013-07-31 16:59:13 EDT
Description of problem:
The switchyard cartridge post install script failed with the following error.

NOTE: This did NOT cause the cartridge to fail to install.


  Updating   : openshift-origin-cartridge-switchyard-0.5.2-1.el6oso.noa   12/50
the primary link for switchyard-0 must be /etc/alternatives/switchyard-0
warning: %post(openshift-origin-cartridge-switchyard-0.5.2-1.el6oso.noarch) scriptlet failed, exit status 2


------------------BEGIN YUM TRANSACTION------------------
Transaction Summary
================================================================================
Upgrade      25 Package(s)

Total size: 10 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : rubygem-openshift-origin-common-1.12.4-1.el6oso.noarch      1/50
  Updating   : rubygem-openshift-origin-node-1.12.6-1.el6oso.noarch        2/50
warning: /etc/openshift/resource_limits.conf created as /etc/openshift/resource_limits.conf.rpmnew
warning: /var/lib/openshift/.httpd.d/aliases.db created as /var/lib/openshift/.httpd.d/aliases.db.rpmnew
warning: /var/lib/openshift/.httpd.d/idler.db created as /var/lib/openshift/.httpd.d/idler.db.rpmnew
warning: /var/lib/openshift/.httpd.d/nodes.db created as /var/lib/openshift/.httpd.d/nodes.db.rpmnew
Stopping crond: [  OK  ]
Starting crond: [  OK  ]
  Updating   : openshift-origin-node-util-1.12.6-1.el6oso.noarch           3/50
  Updating   : openshift-origin-cartridge-mongodb-1.11.2-1.el6oso.noarc    4/50
  Updating   : openshift-origin-msg-node-mcollective-1.12.5-1.el6oso.no    5/50
  Updating   : rhc-node-1.12.5-1.el6oso.x86_64                             6/50
Setting AVC Cache Threshold...[  OK  ]
Stopping system message bus: [  OK  ]
Starting system message bus: [  OK  ]
Shutting down oddjobd: [  OK  ]
Starting oddjobd: [  OK  ]
Stopping Watchman Services: [FAILED]
Starting Watchman Services: [  OK  ]
  Updating   : openshift-origin-cartridge-rockmongo-0.5.4-1.el6oso.noar    7/50
  Updating   : openshift-origin-cartridge-10gen-mms-agent-1.26.3-1.el6o    8/50
  Updating   : openshift-origin-cartridge-nodejs-1.13.4-1.el6oso.noarch    9/50
  Updating   : openshift-origin-cartridge-postgresql-0.5.5-1.el6oso.noa   10/50
  Updating   : openshift-origin-cartridge-jenkins-1.12.3-1.el6oso.noarc   11/50
Shutting down Jenkins [FAILED]
  Updating   : openshift-origin-cartridge-switchyard-0.5.2-1.el6oso.noa   12/50
the primary link for switchyard-0 must be /etc/alternatives/switchyard-0
warning: %post(openshift-origin-cartridge-switchyard-0.5.2-1.el6oso.noarch) scriptlet failed, exit status 2
  Updating   : openshift-origin-cartridge-python-0.7.5-1.el6oso.noarch    13/50
  Updating   : openshift-origin-cartridge-jenkins-client-1.11.4-1.el6os   14/50
  Updating   : openshift-origin-cartridge-diy-0.7.4-1.el6oso.noarch       15/50
  Updating   : openshift-origin-cartridge-ruby-0.7.5-1.el6oso.noarch      16/50
  Updating   : openshift-origin-cartridge-jbosseap-2.6.5-1.el6oso.noarc   17/50
  Updating   : openshift-origin-cartridge-phpmyadmin-1.12.4-1.el6oso.no   18/50
  Updating   : openshift-origin-cartridge-jbossews-0.7.4-1.el6oso.noarc   19/50
  Updating   : openshift-origin-cartridge-mysql-0.6.3-1.el6oso.noarch     20/50
  Updating   : openshift-origin-cartridge-jbossas-1.5.5-1.el6oso.noarch   21/50
  Updating   : openshift-origin-cartridge-haproxy-0.7.6-1.el6oso.noarch   22/50
  Updating   : openshift-origin-cartridge-cron-1.10.3-1.el6oso.noarch     23/50
  Updating   : openshift-origin-cartridge-perl-0.7.4-1.el6oso.noarch      24/50
  Updating   : openshift-origin-cartridge-php-0.7.4-1.el6oso.noarch       25/50
  Cleanup    : openshift-origin-cartridge-10gen-mms-agent-1.26.2-1.el6o   26/50
  Cleanup    : rhc-node-1.12.4-1.el6oso.x86_64                            27/50
  Cleanup    : openshift-origin-cartridge-rockmongo-0.5.3-1.el6oso.noar   28/50
  Cleanup    : openshift-origin-cartridge-mongodb-1.11.1-1.el6oso.noarc   29/50
  Cleanup    : openshift-origin-cartridge-perl-0.7.3-1.el6oso.noarch      30/50
  Cleanup    : openshift-origin-cartridge-cron-1.10.2-1.el6oso.noarch     31/50
  Cleanup    : openshift-origin-cartridge-haproxy-0.7.5-1.el6oso.noarch   32/50
  Cleanup    : openshift-origin-cartridge-jbossas-1.5.4-1.el6oso.noarch   33/50
  Cleanup    : openshift-origin-cartridge-mysql-0.6.2-1.el6oso.noarch     34/50
  Cleanup    : openshift-origin-cartridge-jbossews-0.7.3-1.el6oso.noarc   35/50
  Cleanup    : openshift-origin-cartridge-phpmyadmin-1.12.3-1.el6oso.no   36/50
  Cleanup    : openshift-origin-cartridge-jbosseap-2.6.4-1.el6oso.noarc   37/50
  Cleanup    : openshift-origin-cartridge-ruby-0.7.4-1.el6oso.noarch      38/50
  Cleanup    : openshift-origin-cartridge-diy-0.7.3-1.el6oso.noarch       39/50
  Cleanup    : openshift-origin-cartridge-jenkins-client-1.11.3-1.el6os   40/50
  Cleanup    : openshift-origin-cartridge-python-0.7.4-1.el6oso.noarch    41/50
  Cleanup    : openshift-origin-cartridge-switchyard-0.5.1-1.el6oso.noa   42/50
  Cleanup    : openshift-origin-cartridge-jenkins-1.12.2-1.el6oso.noarc   43/50
  Cleanup    : openshift-origin-cartridge-postgresql-0.5.4-1.el6oso.noa   44/50
  Cleanup    : openshift-origin-cartridge-nodejs-1.13.3-1.el6oso.noarch   45/50
  Cleanup    : openshift-origin-node-util-1.12.5-1.el6oso.noarch          46/50
  Cleanup    : openshift-origin-msg-node-mcollective-1.12.4-1.el6oso.no   47/50
  Cleanup    : openshift-origin-cartridge-php-0.7.3-1.el6oso.noarch       48/50
  Cleanup    : rubygem-openshift-origin-node-1.12.5-1.el6oso.noarch       49/50
  Cleanup    : rubygem-openshift-origin-common-1.12.3-1.el6oso.noarch     50/50
Running post transaction command: /usr/local/bin/ops-run-rkhunter
Scheduling rkhunter to run in the future... Done.
  Verifying  : openshift-origin-cartridge-nodejs-1.13.4-1.el6oso.noarch    1/50
  Verifying  : openshift-origin-cartridge-postgresql-0.5.5-1.el6oso.noa    2/50
  Verifying  : openshift-origin-cartridge-jenkins-1.12.3-1.el6oso.noarc    3/50
  Verifying  : openshift-origin-cartridge-switchyard-0.5.2-1.el6oso.noa    4/50
  Verifying  : openshift-origin-cartridge-python-0.7.5-1.el6oso.noarch     5/50
  Verifying  : openshift-origin-cartridge-jenkins-client-1.11.4-1.el6os    6/50
  Verifying  : openshift-origin-cartridge-rockmongo-0.5.4-1.el6oso.noar    7/50
  Verifying  : rubygem-openshift-origin-common-1.12.4-1.el6oso.noarch      8/50
  Verifying  : rubygem-openshift-origin-node-1.12.6-1.el6oso.noarch        9/50
  Verifying  : openshift-origin-cartridge-diy-0.7.4-1.el6oso.noarch       10/50
  Verifying  : openshift-origin-cartridge-ruby-0.7.5-1.el6oso.noarch      11/50
  Verifying  : openshift-origin-cartridge-jbosseap-2.6.5-1.el6oso.noarc   12/50
  Verifying  : openshift-origin-msg-node-mcollective-1.12.5-1.el6oso.no   13/50
  Verifying  : openshift-origin-cartridge-php-0.7.4-1.el6oso.noarch       14/50
  Verifying  : rhc-node-1.12.5-1.el6oso.x86_64                            15/50
  Verifying  : openshift-origin-cartridge-phpmyadmin-1.12.4-1.el6oso.no   16/50
  Verifying  : openshift-origin-cartridge-jbossews-0.7.4-1.el6oso.noarc   17/50
  Verifying  : openshift-origin-cartridge-mongodb-1.11.2-1.el6oso.noarc   18/50
  Verifying  : openshift-origin-cartridge-mysql-0.6.3-1.el6oso.noarch     19/50
  Verifying  : openshift-origin-node-util-1.12.6-1.el6oso.noarch          20/50
  Verifying  : openshift-origin-cartridge-jbossas-1.5.5-1.el6oso.noarch   21/50
  Verifying  : openshift-origin-cartridge-haproxy-0.7.6-1.el6oso.noarch   22/50
  Verifying  : openshift-origin-cartridge-cron-1.10.3-1.el6oso.noarch     23/50
  Verifying  : openshift-origin-cartridge-perl-0.7.4-1.el6oso.noarch      24/50
  Verifying  : openshift-origin-cartridge-10gen-mms-agent-1.26.3-1.el6o   25/50
  Verifying  : openshift-origin-cartridge-jbossews-0.7.3-1.el6oso.noarc   26/50
  Verifying  : openshift-origin-node-util-1.12.5-1.el6oso.noarch          27/50
  Verifying  : openshift-origin-cartridge-haproxy-0.7.5-1.el6oso.noarch   28/50
  Verifying  : openshift-origin-cartridge-postgresql-0.5.4-1.el6oso.noa   29/50
  Verifying  : openshift-origin-cartridge-phpmyadmin-1.12.3-1.el6oso.no   30/50
  Verifying  : openshift-origin-cartridge-jbossas-1.5.4-1.el6oso.noarch   31/50
  Verifying  : openshift-origin-cartridge-jbosseap-2.6.4-1.el6oso.noarc   32/50
  Verifying  : rubygem-openshift-origin-common-1.12.3-1.el6oso.noarch     33/50
  Verifying  : openshift-origin-cartridge-jenkins-client-1.11.3-1.el6os   34/50
  Verifying  : openshift-origin-cartridge-10gen-mms-agent-1.26.2-1.el6o   35/50
  Verifying  : openshift-origin-cartridge-cron-1.10.2-1.el6oso.noarch     36/50
  Verifying  : openshift-origin-cartridge-mysql-0.6.2-1.el6oso.noarch     37/50
  Verifying  : rhc-node-1.12.4-1.el6oso.x86_64                            38/50
  Verifying  : openshift-origin-cartridge-jenkins-1.12.2-1.el6oso.noarc   39/50
  Verifying  : openshift-origin-cartridge-php-0.7.3-1.el6oso.noarch       40/50
  Verifying  : openshift-origin-cartridge-rockmongo-0.5.3-1.el6oso.noar   41/50
  Verifying  : openshift-origin-cartridge-python-0.7.4-1.el6oso.noarch    42/50
  Verifying  : openshift-origin-cartridge-perl-0.7.3-1.el6oso.noarch      43/50
  Verifying  : openshift-origin-cartridge-switchyard-0.5.1-1.el6oso.noa   44/50
  Verifying  : rubygem-openshift-origin-node-1.12.5-1.el6oso.noarch       45/50
  Verifying  : openshift-origin-cartridge-mongodb-1.11.1-1.el6oso.noarc   46/50
  Verifying  : openshift-origin-cartridge-ruby-0.7.4-1.el6oso.noarch      47/50
  Verifying  : openshift-origin-cartridge-diy-0.7.3-1.el6oso.noarch       48/50
  Verifying  : openshift-origin-msg-node-mcollective-1.12.4-1.el6oso.no   49/50
  Verifying  : openshift-origin-cartridge-nodejs-1.13.3-1.el6oso.noarch   50/50
------------------END YUM TRANSACTION------------------



Version-Release number of selected component (if applicable):
openshift-origin-cartridge-switchyard-0.5.2-1.el6oso.noarch


How reproducible:
very, just upgrade the package


Steps to Reproduce:
1. Upgrade openshift-origin-cartridge-switchyard-0.5.2-1.el6oso.noarch


Actual results:
The post install fails with the error above

Expected results:
no error
Comment 1 Michal Fojtik 2013-08-30 10:08:41 EDT
https://github.com/openshift/origin-server/pull/3526
Comment 2 openshift-github-bot 2013-09-09 13:42:46 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/3bd365ddb5d7fa97b08295c13c576af34c1e282e
Bug 990726 - Fixed typo in switchyard cartridge spec file
Comment 3 Meng Bo 2013-09-10 02:09:25 EDT
  Updating   : openshift-origin-node-util-1.14.1-1.git.0.d08f0ae.el6.   213/514 

  Updating   : openshift-origin-cartridge-mongodb-1.13.2-1.git.0.1112   214/514 

  Updating   : openshift-origin-cartridge-10gen-mms-agent-1.28.1-1.gi   215/514 

  Updating   : openshift-origin-cartridge-rockmongo-0.7.1-1.git.0.edc   216/514 

  Updating   : openshift-origin-cartridge-jbossas-1.7.2-1.git.0.97893   217/514 

  Updating   : openshift-origin-cartridge-postgresql-0.7.2-1.git.0.44   218/514 

  Updating   : openshift-origin-cartridge-ruby-0.9.2-1.git.0.d0eb1dd.   219/514 

  Updating   : openshift-origin-cartridge-jbossews-0.9.3-1.git.0.3efa   220/514 

  Updating   : openshift-origin-cartridge-mock-plugin-0.8.1-1.git.0.a   221/514 

  Updating   : openshift-origin-cartridge-switchyard-0.7.2-1.git.0.a1   222/514 

  Updating   : openshift-origin-cartridge-zend-0.6.2-1.git.0.75e9177.   223/514 
Running as root...


Issue has been fixed on devenv_3762.

Note You need to log in before you can comment on or make changes to this bug.